/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-16
 * 描述            ：成分标准取样要求表(取样码索引号关联)
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.metallurgy.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.metallurgy.mapper.ComMscCicSampleMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC_CIC_SAMPLE", namespace=ComMscCicSampleMapper.class)
public class ComMscCicSample extends BaseVO implements Serializable {
	
	private String design_key;
	
	/** 标准代码 */
	private String stdCode;
	
	/** 标准名称 */
	private String stdName;
	
	/** 产品代码 */
	private String proCode;
	
	/** 产品名称 */
	private String proName;
	
	/** 牌号代码 */
	private String steelCode;
	
	/** 牌号名称 */
	private String steelName;
	
	/** 取样频率 */
	private String rate;
	
	/** 取样频率描述 */
	private String desc_rate;
	
	/** 取样数量 */
	private Integer desc_count;
	
	/** 取样位置 */
	private String position;
	
	/** 取样位置描述 */
	private String desc_position;
	
	/** 宽度下限 */
	private String min_d;
	
	/** 宽度上限 */
	private String max_d;
	
	/** 适用厚度（厚度下限） */
	private String min_h;
	
	/**  适用厚度（厚度上限） */
	private String max_h;
	
	/**  适用厚度（外径上限） */
	private String min_h_sign;
	
	/**  适用厚度（厚度上限符号） */
	private String max_h_sign;
	
	/** 适用宽度（外径下限符号） */
	private String min_d_sign;
	
	/** 适用宽度（外径上限符号） */
	private String max_d_sign;

	private Integer sample_count;
	
	public String getDesign_key() {
		return design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}
	public Integer getSample_count() {
		return sample_count;
	}
	public void setSample_count(Integer sample_count) {
		this.sample_count = sample_count;
	}
	public String getStdCode() {
		return stdCode;
	}
	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}
	public String getStdName() {
		return stdName;
	}
	public void setStdName(String stdName) {
		this.stdName = stdName;
	}
	public String getProCode() {
		return proCode;
	}
	public void setProCode(String proCode) {
		this.proCode = proCode;
	}
	public String getProName() {
		return proName;
	}
	public void setProName(String proName) {
		this.proName = proName;
	}
	public String getSteelCode() {
		return steelCode;
	}
	public void setSteelCode(String steelCode) {
		this.steelCode = steelCode;
	}
	public String getSteelName() {
		return steelName;
	}
	public void setSteelName(String steelName) {
		this.steelName = steelName;
	}
	public String getRate() {
		return rate;
	}
	public void setRate(String rate) {
		this.rate = rate;
	}
	public String getDesc_rate() {
		return desc_rate;
	}
	public void setDesc_rate(String desc_rate) {
		this.desc_rate = desc_rate;
	}
	public Integer getDesc_count() {
		return desc_count;
	}
	public void setDesc_count(Integer desc_count) {
		this.desc_count = desc_count;
	}
	public String getPosition() {
		return position;
	}
	public void setPosition(String position) {
		this.position = position;
	}
	public String getDesc_position() {
		return desc_position;
	}
	public void setDesc_position(String desc_position) {
		this.desc_position = desc_position;
	}
	public String getMin_d() {
		return min_d;
	}
	public void setMin_d(String min_d) {
		this.min_d = min_d;
	}
	public String getMax_d() {
		return max_d;
	}
	public void setMax_d(String max_d) {
		this.max_d = max_d;
	}
	public String getMin_h() {
		return min_h;
	}
	public void setMin_h(String min_h) {
		this.min_h = min_h;
	}
	public String getMax_h() {
		return max_h;
	}
	public void setMax_h(String max_h) {
		this.max_h = max_h;
	}
	public String getMin_h_sign() {
		return min_h_sign;
	}
	public void setMin_h_sign(String min_h_sign) {
		this.min_h_sign = min_h_sign;
	}
	public String getMax_h_sign() {
		return max_h_sign;
	}
	public void setMax_h_sign(String max_h_sign) {
		this.max_h_sign = max_h_sign;
	}
	public String getMin_d_sign() {
		return min_d_sign;
	}
	public void setMin_d_sign(String min_d_sign) {
		this.min_d_sign = min_d_sign;
	}
	public String getMax_d_sign() {
		return max_d_sign;
	}
	public void setMax_d_sign(String max_d_sign) {
		this.max_d_sign = max_d_sign;
	}

	/** 
	 * 成分标准索引号
	 */ 
	@Id
	private String cic;
	public String  getCic() {
		return this.cic;
	}
	public void setCic(String cic) {
		this.cic = cic;
	}

	/** 
	 * 取样码索引号
	 */ 
	@Id
	private String smp_index;
	public String  getSmp_index() {
		return this.smp_index;
	}
	public void setSmp_index(String smp_index) {
		this.smp_index = smp_index;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	@Column
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

}
